हमारा ऐप इंस्टॉल करें 🪄 पता बार के शीर्ष दाएं कोने में आइकन पर क्लिक करें।

खाता भुगतान

GET https://digily.link/api/payments/
curl --request GET \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
पैरामीटर विवरण विवरण
processor वैकल्पिक स्ट्रिंग अनुमत मान: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status वैकल्पिक स्ट्रिंग अनुमत मान: paid, pending, cancelled, refunded
type वैकल्पिक स्ट्रिंग अनुमत मान: one_time, recurring
frequency वैकल्पिक स्ट्रिंग अनुमत मान: monthly, quarterly, biannual, annual, lifetime
datetime_field वैकल्पिक स्ट्रिंग अनुमत मान: datetime
datetime_start वैकल्पिक स्ट्रिंग इस दिनांक-समय से शुरू होने वाले परिणामों को फ़िल्टर करें। Y-m-d H:i:s प्रारूप।
datetime_end वैकल्पिक स्ट्रिंग इस दिनांकसमय तक परिणाम फ़िल्टर करें। Y-m-d H:i:s प्रारूप।
order_by वैकल्पिक स्ट्रिंग परिणामों को किस क्षेत्र द्वारा क्रमबद्ध करना है। अनुमत मान हैं: id, datetime, total_amount.
order_type वैकल्पिक स्ट्रिंग परिणामों का क्रम। अनुमत मान हैं: ASC आरोही क्रम के लिए, और DESC अवरोही क्रम के लिए।
page वैकल्पिक पूर्णांक आप जिस पृष्ठ संख्या से परिणाम चाहते हैं। डिफ़ॉल्ट रूप से 1
results_per_page वैकल्पिक पूर्णांक आप प्रति पृष्ठ कितने परिणाम चाहते हैं। अनुमत मान हैं: 10, 25, 50, 100, 250, 500, 1000. डिफ़ॉल्ट है 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-05-13 00:06:13",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/payments?page=1",
        "last": "https://digily.link/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/payments?page=1"
    }
}
GET https://digily.link/api/payments/{payment_id}
curl --request GET \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-05-13 00:06:13",
    }
}